## liquid-dsp 1.2.0+git20161107

=== debian/changelog ===
liquid-dsp (1.2.0+git20161107-1) unstable; urgency=medium

  * Initial release (Closes: #832114)

 -- Andreas Bombe <aeb@debian.org>  Sun, 11 Dec 2016 17:46:00 +0100
