=== debian/control ===
Source: liquid-dsp
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
Standards-Version: 3.9.8
Homepage: http://liquidsdr.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git

Package: libliquid0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: signal processing library for software defined radio
 liquid-dsp is a free and open-source digital signal processing (DSP)
 library designed specifically for software defined radios on embedded
 platforms. The aim is to provide a lightweight DSP library that does not
 rely on a myriad of external dependencies or proprietary and otherwise
 cumbersome frameworks. All signal processing elements are designed to be
 flexible, scalable, and dynamic, including filters, filter design,
 oscillators, modems, synchronizers, and complex mathematical operations.
 .
 This package contains the shared library.

Package: libliquid-dev
Section: libdevel
Architecture: any
Depends: libliquid0d (= ${binary:Version}), ${misc:Depends}
Description: signal processing library for software defined radio (development files)
 liquid-dsp is a free and open-source digital signal processing (DSP)
 library designed specifically for software defined radios on embedded
 platforms. The aim is to provide a lightweight DSP library that does not
 rely on a myriad of external dependencies or proprietary and otherwise
 cumbersome frameworks. All signal processing elements are designed to be
 flexible, scalable, and dynamic, including filters, filter design,
 oscillators, modems, synchronizers, and complex mathematical operations.
 .
 This package contains the files required to compile programs using liquid-dsp.
