## liquid-dsp 1.3.0

=== debian/changelog ===
liquid-dsp (1.3.0-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Jan 2019 16:22:04 -0800

liquid-dsp (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0
  * Bump soname to libliquid1d due to renamed and removed symbols
  * Add watch file
  * Copy examples directory into libliquid-dev documentation
  * Install HISTORY as upstream changelog
  * Mark libliquid-dev as Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:00:30 +0100
