=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
 Standards-Version: 3.9.8
@@ -9,7 +10,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git
 
-Package: libliquid0d
+Package: libliquid1d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +29,8 @@
 Package: libliquid-dev
 Section: libdevel
 Architecture: any
-Depends: libliquid0d (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: libliquid1d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded
