## liquid-dsp 1.3.1

=== debian/changelog ===
liquid-dsp (1.3.1-1) unstable; urgency=medium

  * New upstream release 1.3.1
  * Update libliquid1d.symbols with new symbols
  * Update debian/copyright for source changes
  * Drop fix-makefile patch, integrated upstream
  * Remove dh-autoreconf from Build-Depends, not needed with debhelper compat
    level 10
  * Bump Standards-Version to 4.1.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 29 Oct 2017 02:33:51 +0200
