=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), pkg-config, libfftw3-dev
+Standards-Version: 4.1.1
 Homepage: http://liquidsdr.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git
