=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-simdoverride
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k HISTORY
