## liquid-dsp 1.3.2

=== debian/changelog ===
liquid-dsp (1.3.2-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 03 Sep 2020 10:18:05 -0400

liquid-dsp (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 16:09:32 +0100

liquid-dsp (1.3.2-1) experimental; urgency=medium

  [ Tim Kuester ]
  * Team upload.
  * New upstream release 1.3.2
  * Refresh define-soname patch
  * Bump soname to libliquid2d due to removed symbols
  * Include config/test artifacts in gitignore
  * Improved patch formatting, thanks @paultag

  [ tony mancill ]
  * Add typos.patch
  * Update to debhelper compat level 12
  * Bump Standards-Version to 4.4.1
  * Set "Rules-Requires-Root: no" in debian/control

  [ Christoph Berg ]
  * libliquid2d.symbols: Add Build-Depends-Package; reset version info to "0"
    on all symbols after the soname bump.
  * gitlab-ci.yml: Use salsa-ci pipeline.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Dec 2019 22:35:15 +0100
