=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config, libfftw3-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12), pkg-config, libfftw3-dev
+Standards-Version: 4.4.1
 Homepage: http://liquidsdr.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
+Rules-Requires-Root: no
 
-Package: libliquid1d
+Package: libliquid2d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -29,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid1d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid2d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded
