=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh ${@}
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-simdoverride
