## liquid-dsp 1.4.0

=== debian/changelog ===
liquid-dsp (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Sat, 12 Mar 2022 01:48:52 +0100

liquid-dsp (1.4.0-1) experimental; urgency=medium

  * New upstream release 1.4.0
  * Bump soname to libliquid3d due to function signatures changing as now
    error values are returned from previously void functions
  * Add Build-Depends-Package header to d/libliquid3d.symbols
  * Refresh patches
  * Update copyright years in d/copyright
  * Fix machine readable paths in d/copyright
  * Update to debhelper compat level 13
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 27 Feb 2022 04:00:47 +0100

liquid-dsp (1.3.2-3) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Fit GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 15:29:55 +0100
