=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 12), pkg-config, libfftw3-dev
-Standards-Version: 4.4.1
-Homepage: http://liquidsdr.org/
+Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
+Standards-Version: 4.6.0
+Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
 Rules-Requires-Root: no
 
-Package: libliquid2d
+Package: libliquid3d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -31,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid2d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid3d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded
