## liquid-dsp 1.5.0

=== debian/changelog ===
liquid-dsp (1.5.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add patch fix-bessel-array-out-of-bounds to fix bessel_azpkf() writing one
    index behind the end of an array that is passed in
  * Use -ffloat-store on i386 to prevent some testcase failures (Thanks to
    Adrian Bunk for the hint and patch)

 -- Andreas Bombe <aeb@debian.org>  Wed, 11 Jan 2023 03:52:40 +0100

liquid-dsp (1.5.0-1) experimental; urgency=medium

  * New upstream release 1.5.0
  * Change soname to libliquid1 due to many function signatures changing from
    returning void to returning int error values and upstream now introducing
    a versioned soname
  * Drop define-soname patch
  * Add fix-soname patch that corrects makefile.in not actually setting the
    new soname
  * Bump Standards-Version to 4.6.2, no changes required
  * Drop typos.patch patch, fixed upstream
  * Update debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Thu, 05 Jan 2023 02:52:52 +0100
