=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
 Rules-Requires-Root: no
 
-Package: libliquid3d
+Package: libliquid1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid3d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid1 (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded
