## liquid-dsp 1.6.0

=== debian/changelog ===
liquid-dsp (1.6.0-3) unstable; urgency=medium

  * Fix fix-chromosome-32bit patch with reliable initialization of max_value

 -- Andreas Bombe <aeb@debian.org>  Wed, 18 Oct 2023 03:46:49 +0200

liquid-dsp (1.6.0-2) unstable; urgency=medium

  * Add fix-chromosome-32bit patch to fix bug and failing testcases on 32 bit
    architectures

 -- Andreas Bombe <aeb@debian.org>  Wed, 18 Oct 2023 02:27:35 +0200

liquid-dsp (1.6.0-1) unstable; urgency=medium

  * New upstream release 1.6.0
  * Add Build-Depends on libfec (closes: #1053605)
  * Remove library symbols file again as currently internal symbols end up
    being exported
  * Remove fix-arlib patch, fixed in upstream
  * Update copyright years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Tue, 17 Oct 2023 02:54:24 +0200

liquid-dsp (1.5.0-3) unstable; urgency=medium

  * Replace fix-soname patch with the version that was forwarded upstream and
    mark it as forwarded
  * Changing the local build target for the shared library back to
    libliquid.so incidentally fixes the failure to build source after build
    (closes: #1046182)
  * Add fix-arlib-install patch to remove version number from static library
    install path as it is not in fix-soname anymore
  * Mark fix-bessel-array-out-of-bounds patch as forwarded

 -- Andreas Bombe <aeb@debian.org>  Sun, 10 Sep 2023 23:49:39 +0530
