=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
+Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev, libfec-dev
 Standards-Version: 4.6.2
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
