=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --enable-simdoverride

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY
