## liquid-dsp 1.7.0

=== debian/changelog ===
liquid-dsp (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Drop fix-soname patch, applied upstream
  * Drop fix-bessel-array-out-of-bounds patch, applied upstream
  * Switch to new cmake build system
  * Add build-static-library-with-cmake patch
  * Add use-fftw-lib-with-cmake patch to detect and use libfftw3 in cmake
    build
  * Add use-fec-lib-with-cmake patch to detect and use libfec in cmake build
  * Build-Depend on pkgconf instead of obsolete pkg-config
  * Bump Standards-Version to 4.7.1, no changes needed
  * HISTORY has been renamed to CHANGELOG.md and needs no special handling
    anymore
  * Update years in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Sat, 15 Mar 2025 19:38:28 +0100
