=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev, libfec-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.18),
+               pkgconf,
+               libfftw3-dev,
+               libfec-dev
+Standards-Version: 4.7.1
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
